Index: uKadecot/trunk/uip/apps/dhcpc/dhcpc.c
===================================================================
--- uKadecot/trunk/uip/apps/dhcpc/dhcpc.c	(revision 156)
+++ uKadecot/trunk/uip/apps/dhcpc/dhcpc.c	(revision 158)
@@ -35,8 +35,8 @@
 #include <string.h>
 
-#include "uip.h"
-#include "dhcpc.h"
-#include "timer.h"
-#include "pt.h"
+#include "net/ip/uip.h"
+#include "dhcpc/dhcpc.h"
+#include "sys/timer.h"
+#include "sys/pt.h"
 
 #define STATE_INITIAL         0
@@ -53,17 +53,17 @@
 
 struct dhcp_msg {
-  u8_t op, htype, hlen, hops;
-  u8_t xid[4];
-  u16_t secs, flags;
-  u8_t ciaddr[4];
-  u8_t yiaddr[4];
-  u8_t siaddr[4];
-  u8_t giaddr[4];
-  u8_t chaddr[16];
+  uint8_t op, htype, hlen, hops;
+  uint8_t xid[4];
+  uint16_t secs, flags;
+  uint8_t ciaddr[4];
+  uint8_t yiaddr[4];
+  uint8_t siaddr[4];
+  uint8_t giaddr[4];
+  uint8_t chaddr[16];
 #ifndef UIP_CONF_DHCP_LIGHT
-  u8_t sname[64];
-  u8_t file[128];
-#endif
-  u8_t options[312];
+  uint8_t sname[64];
+  uint8_t file[128];
+#endif
+  uint8_t options[312];
 };
 
@@ -103,9 +103,9 @@
 #define DHCP_OPTION_END         255
 
-static const u8_t xid[4] = {0xad, 0xde, 0x12, 0x23};
-static const u8_t magic_cookie[4] = {99, 130, 83, 99};
-/*---------------------------------------------------------------------------*/
-static u8_t *
-add_msg_type(u8_t *optptr, u8_t type)
+static const uint8_t xid[4] = {0xad, 0xde, 0x12, 0x23};
+static const uint8_t magic_cookie[4] = {99, 130, 83, 99};
+/*---------------------------------------------------------------------------*/
+static uint8_t *
+add_msg_type(uint8_t *optptr, uint8_t type)
 {
   *optptr++ = DHCP_OPTION_MSG_TYPE;
@@ -115,6 +115,6 @@
 }
 /*---------------------------------------------------------------------------*/
-static u8_t *
-add_server_id(struct dhcpc_state *s, u8_t *optptr)
+static uint8_t *
+add_server_id(struct dhcpc_state *s, uint8_t *optptr)
 {
   *optptr++ = DHCP_OPTION_SERVER_ID;
@@ -124,6 +124,6 @@
 }
 /*---------------------------------------------------------------------------*/
-static u8_t *
-add_req_ipaddr(struct dhcpc_state *s, u8_t *optptr)
+static uint8_t *
+add_req_ipaddr(struct dhcpc_state *s, uint8_t *optptr)
 {
   *optptr++ = DHCP_OPTION_REQ_IPADDR;
@@ -133,6 +133,6 @@
 }
 /*---------------------------------------------------------------------------*/
-static u8_t *
-add_req_options(u8_t *optptr)
+static uint8_t *
+add_req_options(uint8_t *optptr)
 {
   *optptr++ = DHCP_OPTION_REQ_LIST;
@@ -144,6 +144,6 @@
 }
 /*---------------------------------------------------------------------------*/
-static u8_t *
-add_end(u8_t *optptr)
+static uint8_t *
+add_end(uint8_t *optptr)
 {
   *optptr++ = DHCP_OPTION_END;
@@ -179,5 +179,5 @@
 send_discover(struct dhcpc_state *s)
 {
-  u8_t *end;
+  uint8_t *end;
   struct dhcp_msg *m = (struct dhcp_msg *)uip_appdata;
 
@@ -188,5 +188,5 @@
   end = add_end(end);
 
-  uip_send(uip_appdata, end - (u8_t *)uip_appdata);
+  uip_send(uip_appdata, end - (uint8_t *)uip_appdata);
 }
 /*---------------------------------------------------------------------------*/
@@ -194,5 +194,5 @@
 send_request(struct dhcpc_state *s)
 {
-  u8_t *end;
+  uint8_t *end;
   struct dhcp_msg *m = (struct dhcp_msg *)uip_appdata;
 
@@ -204,12 +204,12 @@
   end = add_end(end);
 
-  uip_send(uip_appdata, end - (u8_t *)uip_appdata);
-}
-/*---------------------------------------------------------------------------*/
-static u8_t
-parse_options(struct dhcpc_state *s, u8_t *optptr, int len)
-{
-  u8_t *end = optptr + len;
-  u8_t type = 0;
+  uip_send(uip_appdata, end - (uint8_t *)uip_appdata);
+}
+/*---------------------------------------------------------------------------*/
+static uint8_t
+parse_options(struct dhcpc_state *s, uint8_t *optptr, int len)
+{
+  uint8_t *end = optptr + len;
+  uint8_t type = 0;
 
   while(optptr < end) {
@@ -242,5 +242,5 @@
 }
 /*---------------------------------------------------------------------------*/
-static u8_t
+static uint8_t
 parse_msg(struct dhcpc_state *s)
 {
@@ -386,5 +386,5 @@
 dhcpc_request(struct dhcpc_state *s)
 {
-  u16_t ipaddr[2];
+  uint16_t ipaddr[2];
 
   s->state = STATE_REQUEST;
Index: uKadecot/trunk/uip/apps/dhcpc/dhcpc.h
===================================================================
--- uKadecot/trunk/uip/apps/dhcpc/dhcpc.h	(revision 156)
+++ uKadecot/trunk/uip/apps/dhcpc/dhcpc.h	(revision 158)
@@ -34,6 +34,6 @@
 #define __DHCPC_H__
 
-#include "timer.h"
-#include "pt.h"
+#include "sys/timer.h"
+#include "sys/pt.h"
 
 struct dhcpc_state {
@@ -42,15 +42,15 @@
   struct uip_udp_conn *conn;
   struct uip_timer timer;
-  u16_t ticks;
+  uint16_t ticks;
   const void *mac_addr;
   int mac_len;
 
-  u8_t serverid[4];
+  uint8_t serverid[4];
 
-  u16_t lease_time[2];
-  u16_t ipaddr[2];
-  u16_t netmask[2];
-  u16_t dnsaddr[2];
-  u16_t default_router[2];
+  uint16_t lease_time[2];
+  uint16_t ipaddr[2];
+  uint16_t netmask[2];
+  uint16_t dnsaddr[2];
+  uint16_t default_router[2];
 };
 
Index: uKadecot/trunk/uip/apps/webserver/http_parser.c
===================================================================
--- uKadecot/trunk/uip/apps/webserver/http_parser.c	(revision 156)
+++ uKadecot/trunk/uip/apps/webserver/http_parser.c	(revision 158)
@@ -22,5 +22,5 @@
  * IN THE SOFTWARE.
  */
-#include "http_parser.h"
+#include "webserver/http_parser.h"
 //#include <assert.h>
 #include <stddef.h>
Index: uKadecot/trunk/uip/apps/webserver/http_pcb.h
===================================================================
--- uKadecot/trunk/uip/apps/webserver/http_pcb.h	(revision 156)
+++ uKadecot/trunk/uip/apps/webserver/http_pcb.h	(revision 158)
@@ -23,5 +23,5 @@
 #define __HTTP_PCB_H__
 
-#include "http_parser.h"
+#include "webserver/http_parser.h"
 
 #define MAX_ELEMENT_SIZE 256
Index: uKadecot/trunk/uip/apps/webserver/httpd-fs.h
===================================================================
--- uKadecot/trunk/uip/apps/webserver/httpd-fs.h	(revision 156)
+++ uKadecot/trunk/uip/apps/webserver/httpd-fs.h	(revision 158)
@@ -54,5 +54,5 @@
 #ifdef HTTPD_FS_STATISTICS
 #if HTTPD_FS_STATISTICS == 1
-u16_t httpd_fs_count(char *name);
+uint16_t httpd_fs_count(char *name);
 #endif /* HTTPD_FS_STATISTICS */
 #endif /* HTTPD_FS_STATISTICS */
Index: uKadecot/trunk/uip/apps/webserver/httpd.c
===================================================================
--- uKadecot/trunk/uip/apps/webserver/httpd.c	(revision 156)
+++ uKadecot/trunk/uip/apps/webserver/httpd.c	(revision 158)
@@ -56,5 +56,5 @@
  */
 
-#include "uip.h"
+#include "net/ip/uip.h"
 #include "httpd.h"
 #include "httpd-fs.h"
Index: uKadecot/trunk/uip/apps/webserver/httpd.h
===================================================================
--- uKadecot/trunk/uip/apps/webserver/httpd.h	(revision 156)
+++ uKadecot/trunk/uip/apps/webserver/httpd.h	(revision 158)
@@ -36,5 +36,5 @@
 #define __HTTPD_H__
 
-#include "psock.h"
+#include "net/ip/psock.h"
 #include "httpd-fs.h"
 #include "http_pcb.h"
@@ -76,5 +76,5 @@
 
 void httpd_log(char *msg);
-void httpd_log_file(u16_t *requester, char *file);
+void httpd_log_file(uint16_t *requester, char *file);
 
 #endif /* __HTTPD_H__ */
Index: uKadecot/trunk/uip/apps/webserver/websocket.c
===================================================================
--- uKadecot/trunk/uip/apps/webserver/websocket.c	(revision 156)
+++ uKadecot/trunk/uip/apps/webserver/websocket.c	(revision 158)
@@ -38,5 +38,5 @@
 #include <string.h>
 #include "websocket.h"
-#include "uip.h"
+#include "net/ip/uip.h"
 #include "kernel.h"
 #include "kernel_cfg.h"
@@ -69,5 +69,5 @@
 {
 	ws_state_t *s = &ws->rstate;
-	const u8_t *pos = (const u8_t *)data, *end = &((const u8_t *)data)[len];
+	const uint8_t *pos = (const uint8_t *)data, *end = &((const uint8_t *)data)[len];
 
 	for(; pos < end; pos++){
@@ -192,5 +192,5 @@
 {
 	ws_state_t *s = &ws->wstate;
-	u8_t *pos = (u8_t *)data, *end = &((u8_t *)data)[len];
+	uint8_t *pos = (uint8_t *)data, *end = &((uint8_t *)data)[len];
 
 	for(; pos < end; pos++){
